oggenc(1)

NUME
oggenc - codifică audio în formatul Ogg Vorbis

SINOPSIS
oggenc [ -hrQ ] [ -B dimensiunea eșantionului brut de intrare ] [ -C numărul de canale de intrare brute ] [ -R eșantionare de intrare brută ] [ -b rata de biți nominală ] [ -m rata de biți minimă ] [ -M rata de biți maximă ] [ -q calitate ] [ --resample frecvența ] [ --downmix ] [ -s serial ] [ -o fișier-ieșire ] [ -n model ] [ -c comentariu-extra ] [ -a artist ] [ -t titlu ] [ -l album ] [ -G gen ] [ -L fișier versuri ] [ -Y șir-cod-limbă ] fișiere-intrare ...

DESCRIERE
oggenc citește datele audio în format brut, Wave sau AIFF și le codifică într-un flux Ogg Vorbis. oggenc poate citi, de asemenea, date audio din fișiere FLAC și Ogg FLAC, în funcție de opțiunile din timpul compilării. Dacă este specificat fișierul de intrare „-”, datele audio sunt citite de la stdin (intrarea standard), iar fluxul Vorbis este scris la stdout (ieșirea standard), cu excepția cazului în care se utilizează opțiunea -o pentru a redirecționa ieșirea. În mod implicit, fișierele de pe disc sunt furnizate la ieșire în fișiere Ogg Vorbis cu același nume, cu extensia schimbată în „.ogg” sau „.oga”. Această convenție de denumire poate fi anulată prin opțiunea -o (în cazul unui singur fișier) sau prin opțiunea -n (în cazul mai multor fișiere). În cele din urmă, în cazul în care niciuna dintre aceste opțiuni nu este disponibilă, numele fișierului de ieșire va fi numele fișierului de intrare cu extensia (partea de după punctul final) înlocuită cu ogg, astfel încât fișier.wav va deveni fișier.ogg.
Opțional, versurile pot fi încorporate în fișierul Ogg, dacă a fost compilat suportul pentru Kate.
Rețineți că unele programe de redare vechi nu reușesc să redea fluxuri cu mai mult de un singur flux Vorbis (așa-numitul profil simplu "Vorbis I").

OPȚIUNI

-h, --help
    Afișează mesajul de ajutor al comenzii.

-V, --version
    Afișează numărul de versiune.

-r, --raw
    Presupune că datele de intrare sunt date audio little-endian brute fără informații de antet. Dacă nu sunt specificate alte opțiuni, valoarea implicită este de 44,1 kHz stereo pe 16 biți. Consultați următoarele trei opțiuni pentru a vedea cum se poate modifica acest lucru.

-B n, --raw-bits=n
    Stabilește dimensiunea în biți a eșantioanelor de intrare în modul brut. Valoarea implicită este 16.

-C n, --raw-chan=n
    Stabilește numărul de canale de intrare în modul brut. Valoarea implicită este 2.

-R n, --raw-rate=n
    Stabilește rata de eșantionare de intrare în modul brut. Valoarea implicită este 44100.

--raw-endianness n
    Stabilește modul brut endianness la big endian (1) sau little endian (0). Valoarea implicită este little endian.

--utf8
    Informează «oggenc» că comentariile Vorbis sunt deja codificate ca UTF-8. Util în situațiile în care shell-ul utilizează o altă codificare.

-k, --skeleton
    Adaugă un flux de biți schelet-Ogg. Important dacă Ogg-ul de ieșire este destinat să transporte fluxuri multiplexate sau înlănțuite. Fișierul de ieșire utilizează .oga ca extensie de fișier.

--ignorelength
    Suport pentru fișiere Wave de peste 4 GB și fluxuri de date de la intrarea standard.

-Q, --quiet
    Modul silențios. Nu se afișează niciun mesaj.

-b n, --bitrate=n
    Stabilește rata de biți țintă la n (în kb/s). Codificatorul va încerca să codifice la aproximativ această rată de biți. În mod implicit, aceasta rămâne o codificare VBR. Consultați opțiunea „--managed” pentru a forța o codificare cu rată de biți gestionată la rata de biți selectată.

-m n, --min-bitrate=n
    Stabilește rata minimă de biți la n (în kb/s). Activează modul de gestionare a ratei de biți (a se vedea opțiunea „--managed”).

-M n, --max-bitrate=n
    Stabilește rata maximă de biți la n (în kb/s). Activează modul de gestionare a ratei de biți (a se vedea opțiunea „--managed”).

--managed
    Stabilește modul de gestionare a ratei de biți. Aceasta dezactivează codificarea VBR normală, dar permite aplicarea de către codificator a unor constrângeri de viteză de biți dure sau moi. Acest mod este mult mai lent și poate fi, de asemenea, de calitate inferioară. Este util în primul rând pentru crearea de fișiere pentru difuzare.

-q n, --quality=n
    Stabilește calitatea codificării la n, între -1 (foarte scăzută) și 10 (foarte ridicată). Acesta este modul implicit de funcționare, cu un nivel de calitate implicit de 3. Sunt permise niveluri de calitate fracționare, cum ar fi 2,5. Utilizarea acestei opțiuni permite codificatorului să selecteze o rată de biți adecvată în funcție de nivelul de calitate dorit.

--resample n
    Reeșantionează intrarea la rata de eșantionare dată (în Hz) înainte de codificare. Util în principal pentru reducerea eșantionării pentru codificarea cu rată de biți mai mică.

--downmix
    Reduce-mixează intrarea din stereo în mono (nu are efect asupra fluxurilor care nu sunt stereo). Util pentru codificarea cu rată de biți redusă.

--advanced-encode-option optionname=valoare
    Stabilește o opțiune avansată. Consultați secțiunea Opțiuni avansate pentru detalii.

-s, --serial
    Forțează un anumit număr de serie în fluxul de ieșire. Acest lucru este util în primul rând pentru testare.

--discard-comments
    Împiedică ca intrările de comentarii din fișierele FLAC și Ogg FLAC să fie copiate în fișierul Ogg Vorbis de ieșire.

-o fișier-ieșire, --output=fișier-ieșire
    Scrie fluxul Ogg Vorbis în fișier-ieșire (valabil numai dacă este specificat un singur fișier de intrare).

-n model, --names=model
    Produce nume de fișiere sub forma acestui șir de caractere, cu %g, %a, %l, %n, %t, %d înlocuite de gen, artist, album, număr de piesă, titlu și, respectiv, dată (a se vedea mai jos pentru specificarea acestora). De asemenea, %% dă un % literal.

-X, --name-remove=șir
    Elimină caracterele specificate din parametrii șirului de format „-n”. Acest lucru este util pentru a se asigura că sunt generate nume de fișiere legale.

-P, --name-replace=șir
    Înlocuiește caracterele eliminate prin „--name-remove” cu caracterele specificate. Dacă acest șir este mai scurt decât lista „--name-remove” sau dacă nu este specificat, caracterele în plus sunt doar eliminate. Valorile implicite ale acestei opțiuni și ale opțiunii „-X” de mai sus sunt specifice fiecărei platforme (și sunt alese pentru a asigura generarea unor nume de fișiere legale pentru fiecare platformă).

-c comentariu, --comment comentariu
    Adaugă șirul comentariu ca un comentariu suplimentar. Acest lucru poate fi utilizat de mai multe ori, iar toate instanțele vor fi adăugate la fiecare dintre fișierele de intrare specificate. Argumentul trebuie să fie de forma „etichetă=valoare”.

-a artist, --artist artist
    Stabilește câmpul de comentariu al artistului din comentarii la artist.

-G gen, --genre gen
    Stabilește câmpul de comentariu al genului din comentarii la gen.

-d data, --date data
    Stabilește câmpul de comentarii privind data la valoarea dată. Aceasta ar trebui să fie data înregistrării.

-N număr, --tracknum număr
    Stabilește câmpul de comentarii pentru numărul piesei la valoarea dată.

-t titlu, --title titlu
    Stabilește câmpul de comentarii pentru titlul piesei la titlu.

-l album, --album album
    Stabilește câmpul de comentarii pentru album la album.

-L nume-fișier, --lyrics nume-fișier
    Încarcă versurile din nume-fișier și le codifică într-un flux Kate multiplexat cu fluxul Vorbis. Versurile pot fi în format LRC sau SRT și ar trebui să fie codificate în UTF-8 sau ASCII simplu. Alte codificări pot fi convertite cu ajutorul unor instrumente precum «iconv» sau «recode». Alternativ, pentru conversia între codificări se va utiliza același sistem ca și în cazul comentariilor. Sunt acceptate așa-numitele fișiere „enhanced LRC”, iar o simplă modificare în stil karaoke va fi salvată împreună cu versurile. Pentru configurări mai complexe de karaoke, ar trebui să se utilizeze în schimb kateenc(1). La încorporarea versurilor, extensia implicită a fișierului de ieșire este „.oga”. Rețineți că adăugarea de versuri la un flux va activa automat „Skeleton” (consultați opțiunea -k pentru mai multe informații despre schelet (Skeleton)).

-Y șir-limbă, --lyrics-language șir-limbă
    Definește limba pentru fișierul de versuri corespunzător la șir-limbă. Acesta ar trebui să fie un cod de limbă ISO 639-1 (de exemplu, „en”) sau o etichetă de limbă RFC 3066 (de exemplu, „en_US”), nu un nume de limbă de formă liberă. În mod normal, programele de redare vor recunoaște această etichetă standard și vor afișa numele limbii în propria dvs. limbă. Rețineți că lungimea maximă a acestei etichete este de 15 caractere.

Rețineți că opțiunile -a, -t, -l, -L și -Y pot fi date de mai multe ori. Acestea vor fi aplicate, câte una pentru fiecare fișier, în ordinea dată. În cazul în care sunt date mai puține comentarii privind albumul, titlul sau artistul decât numărul de fișiere de intrare, oggenc le va reutiliza pe cele din urmă pentru fișierele rămase și va emite un avertisment în cazul titlurilor repetate.

OPȚIUNI AVANSATE CODIFICATOR

«oggenc» vă permite să configurați o serie de opțiuni avansate de codificare folosind opțiunea --advanced-encode-option. Acestea sunt destinate doar utilizatorilor foarte avansați și trebuie abordate cu precauție. Acestea pot degrada semnificativ calitatea audio dacă sunt utilizate în mod greșit. Nu toate aceste opțiuni sunt documentate în prezent.

lowpass_frequency=N
    Stabilește frecvența de trecere joasă la N kHz.

impulse_noisetune=N
    Stabilește o deviație a pragului de zgomot N (interval de la -15. la 0.) pentru blocurile de impulsuri. O deviație negativă îi indică codificatorului să acorde o atenție deosebită clarității tranzienților din audio codificat. Compromisul pentru un răspuns tranzitoriu mai bun este o rată de biți mai mare.

bitrate_hard_max=N
    Stabilește rata maximă permisă pentru fișierul codificat la N kilobiți pe secundă. Această rată de biți poate fi depășită numai atunci când există biți de rezervă în rezervorul de biți; dacă rezervorul de biți este epuizat, cadrele vor fi menținute sub această valoare. Această opțiune trebuie să fie utilizată cu opțiunea „--managed” pentru a avea vreun efect.

bitrate_hard_min=N
    Stabilește rata de biți minimă permisă pentru fișierul codificat la N kilobiți pe secundă. Această rată de biți poate fi depășită numai atunci când rezervorul de biți nu este plin; dacă rezervorul de biți este plin, cadrele vor fi reținute peste această valoare; dacă este imposibil de adăugat biți în mod constructiv, cadrul va fi umplut cu zerouri. Această opțiune trebuie să fie utilizată cu opțiunea „--managed” pentru a avea vreun efect.

bit_reservoir_bits=N
    Stabilește dimensiunea totală a rezervorului de biți la N biți; dimensiunea implicită a rezervorului este egală cu numărul nominal de biți codificați într-o secundă (de exemplu, un fișier nominal de 128kbps va avea un rezervor de biți de 128000 biți în mod implicit). Această opțiune trebuie utilizată împreună cu opțiunea „--managed” pentru a avea vreun efect și afectează numai gestionarea ratei de biți minime și maxime. Codificarea ratei medii de biți fără limite stricte de rată de biți nu utilizează un rezervor de biți.

bit_reservoir_bias=N
    Stabilește abaterea comportamentului rezervorului de biți (interval: 0. la 1.). Atunci când este fixată mai aproape de 0, administratorul de viteză de biți încearcă să acumuleze biți pentru utilizare viitoare în cazul unor creșteri bruște ale vitezei de biți (înclinație către o reproducere mai bună a tranzienților). Atunci când este fixată mai aproape de 1, administratorul de rată de biți neglijează tranzienții în favoarea utilizării de biți pentru pasaje omogene. La mijloc, administratorul folosește o abordare echilibrată. Valoarea implicită este de 0,2, ceea ce favorizează ușor reproducerea tranzienților.

bitrate_average=N
    Stabilește rata medie de biți pentru fișier la N kilobiți pe secundă. Atunci când este utilizată fără limite minime sau maxime stricte, această opțiune selectează codificarea ratei medii de biți fără rezervor, în care codificatorul încearcă să urmărească perfect o rată de biți dorită, dar nu impune limite stricte de fluctuație momentană. Atunci când este utilizată împreună cu o limită minimă sau maximă, rata medie de biți stabilește în continuare rata medie globală de biți a fișierului, dar va funcționa în limitele stabilite de rezervorul de biți. Atunci când rata de biți minimă, maximă și medie sunt identice, «oggenc» produce date Vorbis „Constant Bit Rate” (la o rată de biți constantă).

bitrate_average_damping=N
    Stabilește timpul de reacție pentru urmărirea vitezei medii de biți la N secunde. Acest număr reprezintă cea mai rapidă reacție pe care monitorul de urmărire a vitezei de biți are voie să o facă pentru a menține viteza de biți la media selectată. Cu cât timpul de reacție este mai rapid, cu atât mai mică este fluctuația momentană a ratei de biți, dar (în general) cu atât mai scăzută este calitatea ieșirii audio. Cu cât timpul de reacție este mai lent, cu atât mai mari sunt fluctuațiile ABR, dar (în general) cu atât mai bună este calitatea audio. Atunci când este utilizată împreună cu limitele min. sau max. ale ratei de biți, această opțiune afectează în mod direct cât de adânc și cât de repede va intra codificatorul în rezervorul său de biți; cu cât numărul este mai mare, cu atât mai multă solicitare asupra rezervorului de biți.

    Valoarea stabilită trebuie să fie mai mare decât zero, iar intervalul util este de aproximativ 0,05 până la 10. Valoarea implicită este de 0,75 secunde.

disable_coupling
    Dezactivează utilizarea cuplării canalelor pentru codificarea multicanal. În prezent, codificatorul va utiliza în mod normal cuplarea canalelor pentru a crește și mai mult comprimarea cu intrările stereo și 5.1. Această opțiune forțează codificatorul să codifice fiecare canal în mod complet independent, fără a utiliza nici cuplarea cu pierderi, nici cea fără pierderi.

EXEMPLE

Cea mai simplă versiune. Produce ieșirea sub forma vreun-fișier.ogg:
    oggenc vreun-fișier.wav

Se specifică un nume de fișier de ieșire:
    oggenc vreun-fișier.wav -o ieșire.ogg

Se specifică o codificare de înaltă calitate, cu o medie de 256 kbps (dar tot VBR):
    oggenc fișier-intrare.wav -b 256 -o fișier-ieșire.ogg

Se specifică o rată de biți maximă și una medie și se impune respectarea acestora:
    oggenc fișier-intrare.wav --managed -b 128 -M 160 -o fișier-ieșire.ogg

Se specifică mai degrabă calitatea decât rata de biți (la un mod de calitate foarte ridicată):
    oggenc fișier-intrare.wav -q 6 -o fișier-ieșire.ogg

Se reduce eșantionarea la 11 kHz și se face mixarea pe mono înainte de codificare:
    oggenc --resample 11025 --downmix fișier-intrare.wav -q 1 -o fișier-ieșire.ogg

Adăugarea unor informații despre piesă:
    oggenc somefile.wav -t "Titlul piesei" -a "artistul ce cântă" -l "numele albumului" -c "OTHERFIELD=conținutul vreunui alt câmp ce nu este admis în mod explicit"

Adăugarea de versuri încorporate:
    oggenc vreun-fișier.wav --lyrics versuri.lrc --lyrics-language en -o ieșire.oga

Acest lucru codifică cele trei fișiere, fiecare cu aceeași etichetă artist/album, dar cu etichete de titlu diferite pentru fiecare dintre ele. Șirul de caractere dat ca argument pentru „-n” este utilizat pentru a genera numele fișierelor, așa cum se arată în secțiunea de mai sus. Acest exemplu oferă nume de fișiere precum „The Tea Party - Touch.ogg”:
    oggenc -b 192 -a "The Tea Party" -l "Triptych" -t "Touch" piesa01.wav -t "Underground" piesa02.wav -t "Great Big Lie" piesa03.wav -n "%a - %t.ogg"

Codificarea de la intrarea standard la ieșirea standard (puteți utiliza, de asemenea, diferitele opțiuni de etichetare, cum ar fi -t, -a, -l, etc.):
    oggenc -

AUTORI

Autorul programului:
    Michael Smith <msmith@xiph.org>

Autorul paginilor de manual:
    Stan Seibert <indigo@aztec.asu.edu>

ERORI
Citirea fișierelor Wave de tip 3 (eșantioane în virgulă mobilă) probabil că nu funcționează decât pe Intel (sau pe alte mașini pe 32 de biți, little endian).

CONSULTAȚI ȘI

vorbiscomment(1), ogg123(1), oggdec(1), flac(1), speexenc(1), ffmpeg2theora(1), kateenc(1)

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.